#!/bin/bash
# Die einzeilige Ausgabe als PNG-Grafik will bei mir mit Curl nicht funktionieren,
# daher mit diesem Script nur die Grafik mit ausführlichen Wetterinfos und die einzeilige Textversion,
# plus Tag-Nacht-Grenze. Für die aktuelle Mondphase leider keine Grafik zum Laden gefunden,
# daher nur ein statisches Bild.
# Das Script habe ich im Ordner 'bin' im Hauptverzeichnis meines Benutzer-Accounts abgelegt
# und rufe es per AppleScript in den 'Systemeinstellungen/Benutzer & Gruppen/Anmeldeobjekte' auf.

curl wttr.in/Berlin?format="%t+%h+%w" > ~/documents/DOSBox_LFW/4100D/USERDATA/WETTER/WETTER.TXT
curl wttr.in/Berlin_0_lang=de.png > ~/Berlin_0_lang=de.png 
curl http://weltzeit4u.com/daylight/worldlight_800.jpg > ~/worldlight_800.jpg
#curl https://svs.gsfc.nasa.gov/vis/a000000/a004400/a004442/frames/730x730_1x1_30p/moon.2131.jpg > ~/moon.2131.jpg
sips -s format gif ~/Berlin_0_lang=de.png --out ~/documents/DOSBox_LFW/4100D/USERDATA/WETTER/WTTRBILD.GIF
sips -s format gif ~/worldlight_800.jpg --out ~/documents/DOSBox_LFW/4100D/USERDATA/WETTER/TAGNACHT.GIF
#sips -s format gif ~/moon.2131.jpg --out ~/documents/DOSBox_LFW/4100D/USERDATA/WETTER/MOND.GIF
